Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.spring
Class ActiveMQBeanDefinitionReader

    java.lang.Object
      org.springframework.beans.factory.support.AbstractBeanDefinitionReader
          org.springframework.beans.factory.xml.XmlBeanDefinitionReader
              org.codehaus.activemq.spring.ActiveMQBeanDefinitionReader

public class ActiveMQBeanDefinitionReader
extends org.springframework.beans.factory.xml.XmlBeanDefinitionReader

Version:
  $Revision: 1.1 $

Nested Class Summary

Nested classes inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader
``

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader
`logger`

Constructor Summary
`ActiveMQBeanDefinitionReader(org.springframework.beans.factory.support.BeanDefinitionRegistry beanDefinitionRegistry, java.lang.String brokerName)`

Method Summary
`protected org.xml.sax.EntityResolver` | `createEntityResolver()`
`static Transformer` | `createTransformer(Source source)`
`protected Source` | `createXslSource()` Creates the XSL resource for the transformation
`java.lang.String` | `getBrokerName()`
`protected org.springframework.core.io.ClassPathResource` | `getXslResource()`
`void` | `registerBeanDefinitions(org.w3c.dom.Document document, org.springframework.core.io.Resource resource)`
`void` | `setBrokerName(java.lang.String brokerName)`
`protected org.w3c.dom.Document` | `transformDocument(org.w3c.dom.Document document)` A hook to transform the source document into a default Spring XML configuration

Methods inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader
`loadBeanDefinitions, setEntityResolver, setParserClass, setValidating`

Methods inherited from class org.springframework.beans.factory.support.AbstractBeanDefinitionReader
`getBeanClassLoader, getBeanFactory, setBeanClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQBeanDefinitionReader

    public ActiveMQBeanDefinitionReader(org.springframework.beans.factory.support.BeanDefinitionRegistry beanDefinitionRegistry,
                                        java.lang.String brokerName)

Method Detail

### registerBeanDefinitions

    public void registerBeanDefinitions(org.w3c.dom.Document document,
                                        org.springframework.core.io.Resource resource)
                                 throws org.springframework.beans.BeansException

  Throws:
    `org.springframework.beans.BeansException`

### createTransformer

    public static Transformer createTransformer(Source source)
                                         throws TransformerConfigurationException

  Throws:
    `TransformerConfigurationException`

### getBrokerName

    public java.lang.String getBrokerName()

### setBrokerName

    public void setBrokerName(java.lang.String brokerName)

### transformDocument

    protected org.w3c.dom.Document transformDocument(org.w3c.dom.Document document)
                                              throws java.io.IOException,
                                                     TransformerException

  A hook to transform the source document into a default Spring XML configuration

  Parameters:
    `document` -
  Returns:
  Throws:
    `java.io.IOException`
    `TransformerException`

### createXslSource

    protected Source createXslSource()
                              throws java.io.IOException

  Creates the XSL resource for the transformation

  Returns:
  Throws:
    `java.io.IOException`

### getXslResource

    protected org.springframework.core.io.ClassPathResource getXslResource()

  Returns:
    the resource to use for the XSLT

### createEntityResolver

    protected org.xml.sax.EntityResolver createEntityResolver()

  Returns:
    a new EnittyResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.